Bug 60739 - mysql, apache and php "mysql.sock" compatability link needed
mysql, apache and php "mysql.sock" compatability link needed
Status: CLOSED DUPLICATE of bug 60515
Product: Red Hat Linux
Classification: Retired
Component: mysql (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Patrick Macdonald
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-03-05 15:18 EST by R P Herrold
Modified: 2007-04-18 12:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-06 02:01:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2002-03-05 15:18:49 EST
RH 7.2 after 2/2002 updates

[root@landlocked etc]# rpm -qf my.cnf

which includes the definition of the socket location:

[root@landlocked etc]# cat my.cnf




fails with a restart of apache ( apache-1.3.22-2 ) and php ( php-4.0.6-12 ) -- [had a overflow exploit

Proposed action -- test for, and as needed add, in the post-isntall script for mysql:

   ln -s var/lib/mysql/mysql.sock  /tmp

(possibly consider adding to the apache and php packages as well)

and restart mysqld, and apache

mysql seems to be the proper package for this fix, because its conf file references /var/lib/mysql/mysql.sock
Comment 1 Trond Eivind Glomsrxd 2002-03-05 17:28:31 EST
Bug in PHP - a triggerhappy autconf script decides to hardcode the location to
/tmp. This is new. Reassigning so the PHP owner can mark it as a dupe :)
Comment 2 R P Herrold 2002-03-06 01:50:15 EST
Is this wise to move this here?  I had consciously placed it at mysql, for the
my.cnf pointer to this file would be a normal diagnostic router for a puzzled
sysadmin to check owning packagefor.

That sysadmin would then (hopefully) query the owning package (mysql) and find
(even if closed WONT) the answer which they needed.

I have no problem with a WONT and leaving this at mysql -- I _do_ have a problem
with it getting lost in the clutter at php as a DUPE -- 

Since you have transferred it with an intention that it be closed as DUPE, this
implicitly says that you WONT as to the suggested fix.

I'll re-position and close WONT

Comment 3 Phil Copeland 2002-03-06 02:01:54 EST
Tsk tsk,...
check before you leap...
Comment 4 Phil Copeland 2002-03-06 02:03:24 EST
Note that the problem lies in php's configure check.

*** This bug has been marked as a duplicate of 60515 ***

Note You need to log in before you can comment on or make changes to this bug.